/*
 * @(#)Accounts.h
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2001 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDWserver.cpp for details.
 */

#ifndef ACCOUNTS_H
#define ACCOUNTS_H

#include <pthread.h>

class Accounts
{
	pthread_mutex_t mutex;

public:
	Accounts();
	~Accounts();

	void add(const char *ID, const char *passwd,
		const char *eMail);
	void changePassword(const char *ID, const char *newPasswd);
	void check(const char *ID, const char *passwd);
	void remove(const char *ID);

private:
	void getByID(const char *ID, char *passwd, char *eMail, int size);
	void replace(const char *ID, const char *newItem);
	char *replaceColons(char *str);
};

extern Accounts *accounts;

#endif
